#!R
#
# this script is to generate the LSF scripts to apply the summarize test results function on each result group 

substr <- "'1 -R \"rusage[mem=15000]\"'"

# Baseline Furfine 

for(b in 1:15){
	str <- paste("bsub_RMPI-3.0 ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/BaselinePermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData'"," 'BaselineTypeI'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData' ",b," 'pfdr'",  sep='')
	print(str)
	cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

# Rounded BP exact

for(b in 1:15){
        str <- paste("bsub_RMPI-3.0 ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/RoundedBPexactPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'", " 'FurfineOutput/RoundedBPexactFurfineOutput.RData'"," 'roundedExactTypeI'"," 'FurfineOutput/RoundedBPexactFurfineOutput.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

# Rounded BP 

for(b in 1:15){
        str <- paste("bsub_RMPI-3.0 ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/RoundedBPPermutationTestOutput_", b, "A.RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, "A.RData'", " 'FurfineOutput/RoundedBPFurfineOutput.RData'"," 'roundedBPTypeI'"," 'FurfineOutput/RoundedBPFurfineOutput.RData' ",b," 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:15){
        str <- paste("bsub_RMPI-3.0 ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/RoundedBPPermutationTestOutput_", b, "B.RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, "B.RData'", " 'FurfineOutput/RoundedBPFurfineOutput.RData'"," 'roundedBPTypeI'"," 'FurfineOutput/RoundedBPFurfineOutput.RData' ",b," 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}




# End of Day

for(b in 1:15){
        str <- paste("bsub_RMPI 1  SummarizeTestResults_Wrapper.R --args 'Results/EndOfDayPermutationTestOutput_", b, "A.RData'", " 'BootData/LVTSbootsamplesLB_NumLendDays_1NumReturnDays_20_Numboots_100_", b, "A.RData'", " 'FurfineOutput/EndOfDayFurfineOutput.RData'"," 'post4pmTypeI'"," 'FurfineOutput/EndOfDayFurfineOutput.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}
for(b in 1:15){
        str <- paste("bsub_RMPI 1  SummarizeTestResults_Wrapper.R --args 'Results/EndOfDayPermutationTestOutput_", b, "B.RData'", " 'BootData/LVTSbootsamplesLB_NumLendDays_1NumReturnDays_20_Numboots_100_", b, "B.RData'", " 'FurfineOutput/EndOfDayFurfineOutput.RData'"," 'post4pmTypeIB'"," 'FurfineOutput/EndOfDayFurfineOutput.RData' ",b,  " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}



# kNN


for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/RempelPermutationTestOutput_", b, "A.RData'", " 'BootData/LVTSbootsamplesLB_NumLendDays_1NumReturnDays_20_Numboots_100_", b, "A.RData'"," 'FurfineOutput/kNNrefinedFurfineOutput.RData' ", " 'RempelTypeI'"," 'FurfineOutput/kNNrefinedFurfineOutput.RData' ",b,  " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

substr <- "'1 -R \"rusage[mem=15000]\"'"

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/RempelPermutationTestOutput_", b, "B.RData'", " 'BootData/LVTSbootsamplesLB_NumLendDays_1NumReturnDays_20_Numboots_100_", b, "B.RData'"," 'FurfineOutput/kNNrefinedFurfineOutput.RData' ", " 'RempelTypeIB'"," 'FurfineOutput/kNNrefinedFurfineOutput.RData' ",b, " 'pfdr'",  sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}




for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/FullPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData' ", " 'PermuatationTypeI'"," 'FurfineOutput/HendryOriginalFurfineOutput.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

# Subsamples original (rlvts) test #note here we use the hendry full data furfine output as the algorithm date matches anyways so a specific subsample version of it is unnecessary

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/CrisisPermutationTestOutput_", b, "A.RData'", " 'BootData/CrisisLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData'"," 'CrisisTypeI'", " 'FurfineOutput/CrisisFurfineOutput.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/CrisisPermutationTestOutput_", b, "B.RData'", " 'BootData/CrisisLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/CrisisFurfineOutput.RData'"," 'CrisisTypeIB'", " 'FurfineOutput/CrisisFurfineOutput.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}



for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/PreCrisisQ12005PermutationTestOutput_", b, ".RData'", " 'BootData/PreCrisisQ12005-Q12006_RLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/PreCrisisQ12005-Q22006FurfineOutput'"," 'PreCrisisQ12005TypeI'", " 'FurfineOutput/PreCrisissQ12005-Q22006FurfineOutput.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/PrecrisisQ22006PermutationTestOutput_", b, ".RData'", " 'BootData/PrecrisisQ22006-BNP_RLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/PreCrisisQ22006-BNPFurfineOutput.RData'"," 'PreCrisisQ22006TypeI'", " 'FurfineOutput/PreCrisisQ22006-BNPFurfineOutput.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}



for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/ELBPermutationTestOutput", b, "A.RData'", " 'BootData/ELBLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/ELB_FurfineOutput.RData'"," 'ELBTypeI'", " 'FurfineOutput/ELB_FurfineOutput.RData' ",b," 'pfdr'",  sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}


for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/ELBPermutationTestOutput", b, "B.RData'", " 'BootData/ELBLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/ELB_FurfineOutput.RData'"," 'ELBTypeIB'", " 'FurfineOutput/ELB_FurfineOutput.RData' ",b,  " 'pfdr'",sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}





for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/PELBPermutationTestOutput_", b, "A.RData'", " 'BootData/Post_EffectiveLowerBound_RLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/PostELB_FurfineOutput.RData'"," 'PELBTypeI'", " 'FurfineOutput/PostELB_FurfineOutput.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/PELBPermutationTestOutput_", b, "B.RData'", " 'BootData/Post_EffectiveLowerBound_RLVTSbootsamples_NumLendDays_1NumReturnDays_20_Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData'"," 'PELBTypeIB'", " 'FurfineOutput/PostELBResidualLVTS_Hendry.RData' ",b, " 'pfdr'", sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}




bsub_RMPI 16 BootstrapModelTrainingScript.R --args 'BootData/Numboots1/LVTSbootsamplesLB_NumLendDays_100NumReturnDays_20_Numboots_1_1.RData' 'RempelModelData_NOoutput1.RData' 'Rempel' 0 1 60000 1000000 0.5 0.5 'None' 1 1 0 1 15 0 'Hendry' 'kNN' 'FurfineOutput/kNNrefinedFurfineOutput.RData'







substr <- "'1 -R \"rusage[mem=35000]\"'"
for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults.R --args 'Results/RempelPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'"," 'FurfineOutput/RempelOriginal_H_FurfineOutput.RData' ", " 'PermutationRempelTypeI'"," 'FurfineOutput/RempelOriginal_H_rlvts.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

substr <- "'1 -R \"rusage[mem=35000]\"'"
for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults.R --args 'Results/RempelDannPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'"," 'FurfineOutput/RempelDannFurfineOutput.RData' ", " 'PermutationDannRempelTypeI'"," 'FurfineOutput/RempelDann_rlvts.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}


# Tight spread:



substr <- "'1 -R \"rusage[mem=35000]\"'"

#substr <- "'1 -R \"rusage[mem=15000]\"'"

for(b in 1:5){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/HendryTestOutput_tightspread60bps_", b, ".RData'", " 'BootData/TightSpread60bps__BalancedResamples_1Numboots_100_", b, ".RData'", " 'FurfineOutput/HendryFurfineTightSpread60bps.RData' ", " 'TightSpreadTypeI'"," 'FurfineOutput/TightSpread_rlvts60bps.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:5){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/HendryTestOutput_tightspread70bps_", b, ".RData'", " 'BootData/TightSpread70bps__BalancedResamples_1Numboots_100_", b, ".RData'", " 'FurfineOutput/HendryFurfineTightSpread70bps.RData' ", " 'TightSpreadTypeI'"," 'FurfineOutput/TightSpread_rlvts70bps.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}


for(b in 1:5){
        str <- paste("bsub_RMPI ", substr, " SummarizeTestResults_Wrapper.R --args 'Results/HendryTestOutput_tightspread85bps_", b, ".RData'", " 'BootData/TightSpread85bps__BalancedResamples_1Numboots_100_", b, ".RData'", " 'FurfineOutput/HendryFurfineTightSpread85bps.RData' ", " 'TightSpreadTypeI'"," 'FurfineOutput/TightSpread_rlvts85bps.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

# Tight spread permutation results


substr <- "'1 -R \"rusage[mem=35000]\"'"
for(b in 1:5){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults.R --args 'Results/HendryTestOutput_tightspread85bps_", b, '.RData', " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'"," 'FurfineOutput/HendryFurfineTightSpread85bps.RData' ", " 'PermTightSpreadTypeI'"," 'FurfineOutput/TightSpread_rlvts85bps.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}
for(b in 1:5){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults.R --args 'Results/HendryTestOutput_tightspread70bps_", b, '.RData', " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'"," 'FurfineOutput/HendryFurfineTightSpread70bps.RData' ", " 'PermTightSpreadTypeI'"," 'FurfineOutput/TightSpread_rlvts70bps.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:5){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults.R --args 'Results/HendryTestOutput_tightspread60bps_", b, '.RData', " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'"," 'FurfineOutput/HendryFurfineTightSpread60bps.RData' ", " 'PermTightSpreadTypeI'"," 'FurfineOutput/TightSpread_rlvts60bps.RData' ",b, sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}










# Subsamples Permutation test:


# Subsamples original (rlvts) test #note here we use the hendry full data furfine output as the algorithm date matches anyways so a specific subsample version of it is unnecessary

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults_Wrapper.R --args 'Results/Precrisis_FullPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData'"," 'PrecrisisTypeI'", " 'FurfineOutput/PrecrisisResidualLVTS_Hendry.RData' ",b,  sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults_Wrapper.R --args 'Results/Crisis_FullPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData'"," 'CrisisTypeI'", " 'FurfineOutput/CrisisResidualLVTS_Hendry.RData' ",b,  sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}


for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults_Wrapper.R --args 'Results/ELB_FullPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData'"," 'ELBTypeI'", " 'FurfineOutput/ELBResidualLVTS_Hendry.RData' ",b,  sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}

for(b in 1:15){
        str <- paste("bsub_RMPI ", substr, " SummarizePermutationTestResults_Wrapper.R --args 'Results/PELB_FullPermutationTestOutput_", b, ".RData'", " 'BootData/LVTSbootsamples_BalancedResamples_20Numboots_100_", b, ".RData'", " 'FurfineOutput/BaselineOriginalFurfineOutput.RData'"," 'PELBTypeI'", " 'FurfineOutput/PostELBResidualLVTS_Hendry.RData' ",b,  sep='')
        print(str)
        cat(str, '\n', file='summarize_furfine_test_results', append=T)
}






