function ElapsedTime = ConvertTimeToElapsedScalars(time, varargin)
    timec = num2str(time);
    numchar = length(timec);
    if length(timec) < 6
        %timec = [repmat('0', 6 - numchar), timec];
        timec = [repmat('0', size(timec,1), 6 - numchar), timec];
    end
    nargs = length(varargin);
    if nargs ==0
         
        datec = '20120101';
        benchmarkstr = '20120101.000000';
        
    else
         benchmarkdate = '20120101';
         benchmarktime = varargin{1};
        
        numchar = length(benchmarktime);
        %size(benchmarktime)
        if numchar < 6
            %disp('the size of the benchmarktime  is:')
            %size(benchmarktime)
            %class(benchmarktime)
            try
                pad0s = repmat('0', size(benchmarktime,1), 6 - numchar);
                benchmarktime = [pad0s, benchmarktime];
            catch me
                benchmarktime
                size(benchmarktime)
                class(benchmarktime)
                numchar
                size(pad0s)
                class(pad0s)
                pad0s
                repmat('0', 6-numchar)
                error('benchmarktime padding 0s error')
            end
        end
        if nargs > 1
            datec = varargin{2};
            
            if nargs > 2
                benchmarkdate =varargin{3};
            end
        end
       benchmarkstr = [num2str(benchmarkdate) repmat('.', size(benchmarkdate,1), 1) benchmarktime]; 
       
    end
    
    try
        benchmark = datevec(datenum(benchmarkstr, 'yyyymmdd.HHMMSS')); 
        datetimec = datevec(datenum([datec '.' timec], 'yyyymmdd.HHMMSS'));
    catch err
        benchmarkstr
        msg = sprintf('%s', 'error on conversion of benchmark ', benchmarkstr(1,:) );
        error('DATENUM error', msg)
    end
        
    ElapsedTime = etime(datetimec, benchmark);
end
        
