#! R

##############################################################
# Aggregating the results of the permutation testing (Rempel, 2014)
# 
#
# Last modified:
#	Feb. 2014
##############################################################


args <- commandArgs(trailingOnly = TRUE)

source('typeIerrorfunctions_pfdrincluded.R'); 

Results.filename <- args[1]; BootData.filename <- args[2]; FurfData.filename <- args[3]; outname <- args[4];  b <- args[5]; payments_rlvts_filename <- args[6]

load(payments_rlvts_filename); lvts <- rlvts; 


approach <- 'pfdr'

command <- paste(outname, " <- SummarizeTypeIerror(Results.filename, BootData.filename, FurfData.filename, lvts, rlvts, '", approach, "')", sep='')
eval(parse(text=command))

paste('save(', outname, ",file='Results/", outname, ".RData')", sep='')
eval(parse(text=paste('save(', outname, ",file='Results/", outname,'_', b, ".RData')", sep='')))



